export async function roll_one_to_onehundred() {
    // Construct the Roll instance
    let baseroll = await new Roll("1d100 + @characterBonus", {characterBonus: this.characterBonus}).roll({async: true});
    let rolltype = "Roll Type: 1-100";
    
    // Log the Roll to Chat
    let chatOptions = {
        type: CONST.CHAT_MESSAGE_TYPES.ROLL,
        rolls: [baseroll],
        flavor: rolltype,
        rollMode: game.settings.get("core", "rollMode")
    };
    
    ChatMessage.create(chatOptions);
    this.close();
};

export async function roll_low_open_ended() { 
    // Construct the Roll instance
    let baseroll = await new Roll("1d100").roll({async: true});
    console.log(baseroll.result);
    let rolltype = "Roll Type: Low Open-Ended";
    
    switch (true) {
        case (baseroll.result < 6):
        this.processLowOpenEndedRoll(baseroll, rolltype);
        break;
        case (baseroll.result === 66):
        this.processOpenEndedSixtySixRoll(baseroll, rolltype);
        break;
        default:
        this.processOpenEndedRoll(baseroll, rolltype);
    }
}

export async function roll_high_open_ended() {
    // Construct the Roll instance
    let baseroll = await new Roll("1d100").roll({async: true});
    console.log(baseroll.result);
    let rolltype = "Roll Type: High Open-Ended";
    switch (true) {
        case (baseroll.result === 66):
        this.processOpenEndedSixtySixRoll(baseroll, rolltype);
        break;
        case (baseroll.result > 95):
        this.processHighOpenEndedRoll(baseroll, rolltype);
        break;
        default:
        this.processOpenEndedRoll(baseroll, rolltype);
    }
}

export async function roll_open_ended() { 
    // Construct the Roll instance
    let baseroll = await new Roll("1d100").roll({async: true});
    console.log(baseroll.result);
    let rolltype = "Roll Type: Open-Ended";
    switch (true) {
        case (baseroll.result < 6):
        this.processLowOpenEndedRoll(baseroll, rolltype);
        break;
        case (baseroll.result === 66):
        this.processOpenEndedSixtySixRoll(baseroll, rolltype);
        break;
        case (baseroll.result > 95):
        this.processHighOpenEndedRoll(baseroll, rolltype);
        break;
        default:
        this.processOpenEndedRoll(baseroll, rolltype);
    }
}
